<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/mainBackground"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:gravity="center"
        android:orientation="vertical">

        <ImageView
            android:layout_width="192dp"
            android:layout_height="96dp"
            android:src="@mipmap/splash_casic" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:paddingVertical="@dimen/dp_7"
            android:text="电子标识探测仪"
            android:textColor="@color/themeColor"
            android:textSize="@dimen/sp_22" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_40"
            android:background="@drawable/bg_edit_text_bk_radius_5"
            android:paddingHorizontal="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="账号"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_16" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/accountView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/dp_10"
                android:background="@null"
                android:hint="请输入用户名"
                android:paddingVertical="@dimen/dp_12"
                android:singleLine="true"
                android:textColorHint="@color/hintColor"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_40"
            android:layout_marginVertical="@dimen/dp_2"
            android:background="@drawable/bg_edit_text_bk_radius_5"
            android:paddingHorizontal="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="密码"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_16" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/passwordView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/dp_10"
                android:background="@null"
                android:hint="请输入密码"
                android:inputType="textPassword"
                android:paddingVertical="@dimen/dp_12"
                android:singleLine="true"
                android:textColorHint="@color/hintColor"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_40"
            android:background="@drawable/bg_edit_text_bk_radius_5"
            android:paddingHorizontal="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="地址"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_16" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/serversIpView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/dp_10"
                android:background="@null"
                android:hint="请输入服务器IP"
                android:paddingVertical="@dimen/dp_12"
                android:singleLine="true"
                android:textColorHint="@color/hintColor"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_40"
            android:layout_marginVertical="@dimen/dp_2"
            android:background="@drawable/bg_edit_text_bk_radius_5"
            android:paddingHorizontal="@dimen/dp_10">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="端口"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_16" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/serversPortView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/dp_10"
                android:background="@null"
                android:hint="请输入端口号"
                android:inputType="number"
                android:paddingVertical="@dimen/dp_12"
                android:singleLine="true"
                android:textColorHint="@color/hintColor"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_30"
        android:layout_weight="1.5"
        android:orientation="vertical">

        <Button
            android:id="@+id/loginButton"
            style="@style/MainButtonStyle"
            android:layout_marginHorizontal="@dimen/dp_40"
            android:text="登\u3000录"
            android:textColor="@color/white" />

        <CheckBox
            android:id="@+id/autoSavePasswordView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="34dp"
            android:layout_marginTop="@dimen/dp_5"
            android:text="记住密码" />
    </LinearLayout>
</LinearLayout>